import request from '@/utils/request'
import qs from 'qs'
import { QN_BASEURL } from '../../serviceSettings'
const baseUrl = QN_BASEURL

// 站台号
export function checkStation(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inbound/checkStation',
    data: parameter,
  })
}
// 容器号
export function getContainer(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inbound/scanContainerNo',
    data: parameter,
  })
}
// 商品编号号
export function getInboundTasks(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inbound/getInboundTasks',
    data: parameter,
  })
}
//上架确认
export function inboundConfirm(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inbound/inboundConfirm',
    data: parameter,
  })
}
// 任务挂起/任务解挂
export function taskHangUp(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inbound/taskHangUp',
    data: parameter,
  })
}

// 可用检查
export function getAvailableLocation(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inbound/findNowPalletNo',
    data: parameter,
  })
}

// 定时器轮询接口
export function getOneInboundTask(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inbound/getOneInboundTask',
    data: parameter,
  })
}

// 货位修改
export function updateGoodsAllocation(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inbound/nowPalletNoConfirm',
    data: parameter,
  })
}
// 货架归还
export function containerNoReturn(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inbound/shelfReturn',
    data: parameter,
  })
}

// 重新分配
export function getContainerNoInfo(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inbound/newPalletNoConfirm',
    data: parameter,
  })
}

// 货架调整确认
export function adjustmentLocation(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inbound/newPalletNoConfirm',
    data: parameter,
  })
}
// 货架归还后调接口
export function getPallet(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inbound/getPallet',
    data: parameter,
  })
}

//////////////////////////////////////////////////////////废弃接口
// 自动分配
export function autoAllocation(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inboundService/autoAllocation',
    data: parameter,
  })
}

// 自动分配
export function getInventLocation(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inbound/getPallet',
    data: parameter,
  })
}
// 判断abc类型
export function queryConfirmABC(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inbound/queryConfirmABC',
    data: parameter,
  })
}
// 查看图片
export function queryImages(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/maintain/queryImages',
    data: parameter,
  })
}
// 自动叫车
export function autoCallRcs(parameter) {
  return request({
    method: 'post',
    url: baseUrl+'/api/v1/inboundService/autoCallRcs',
    data: parameter,
  })
}
